# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapNodeOfPointEdgeMap Class Reference

`#include <StepToTopoDS_DataMapNodeOfPointEdgeMap.hxx>`

## Public Member Functions

| StepToTopoDS_DataMapNodeOfPointEdgeMap (const StepToTopoDS_PointPair &K, const TopoDS_Edge &I, const TCollection_MapNodePtr &n)
StepToTopoDS_PointPair & | Key () const
TopoDS_Edge & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepToTopoDS_PointPair | myKey
TopoDS_Edge | myValue

## Constructor & Destructor Documentation

StepToTopoDS_DataMapNodeOfPointEdgeMap::StepToTopoDS_DataMapNodeOfPointEdgeMap | ( | const StepToTopoDS_PointPair & | K,
|  | const TopoDS_Edge & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const StepToTopoDS_DataMapNodeOfPointEdgeMap::Handle | ( | Standard_Type |  | ) | const

StepToTopoDS_PointPair& StepToTopoDS_DataMapNodeOfPointEdgeMap::Key | ( |  | ) | const

TopoDS_Edge& StepToTopoDS_DataMapNodeOfPointEdgeMap::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_PointPair StepToTopoDS_DataMapNodeOfPointEdgeMap::myKey `[private]`

TopoDS_Edge StepToTopoDS_DataMapNodeOfPointEdgeMap::myValue `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapNodeOfPointEdgeMap.hxx